@echo off

::----------------------------------------------------------------------
:: Specify the location of JDK 1.4 here
::----------------------------------------------------------------------
set JDK_HOME=C:\Program Files\Java\j2sdk1.4

::----------------------------------------------------------------------
:: Specify the location of DocFlex/Javadoc home directory.
::
:: If you encounter an error like:
:: 'Exception in thread "main" java.lang.NoClassDefFoundError: com/docflex/javadoc/Designer'
:: please specify directly the absolute pathname of your DocFlex/Javadoc installation, e.g.
::
:: set DFH=C:\docflex-javadoc
::
:: The default setting (below) assigns 'DFH' with the absolute pathname of 
:: this BAT file's parent directory
::----------------------------------------------------------------------
set DFH=%~dp0

::----------------------------------------------------------------------
:: Get rid of the trailing slash in 'DFH', if present
::----------------------------------------------------------------------
if %DFH:~-1%==\ set DFH=%DFH:~0,-1%

::----------------------------------------------------------------------
:: DocFlex/Javadoc class path
::----------------------------------------------------------------------
set CLASS_PATH=%JDK_HOME%\lib\tools.jar;%DFH%\lib\docflex-javadoc-1.4.jar

::----------------------------------------------------------------------
:: Launch Template Designer
:: (Note: double quotes are needed because file pathnames may contain spaces)
::----------------------------------------------------------------------
"%JDK_HOME%\bin\java" -Xmx512m -cp "%CLASS_PATH%" com.docflex.javadoc.Designer
